Subject: Re: bug#20346: 24.3; Variable `whitespace-style': documentation and custom choices inconsistent

From: Philipp Stephani <[email-masked]>
Date: Sat, 18 Apr 2015 08:26:21 +0000

Eli Zaretskii <[email-masked]> schrieb am Sa., 18. Apr. 2015 um 10:19 Uhr:

> > From: Philipp Stephani <[email-masked]>
> > Date: Thu, 16 Apr 2015 11:17:38 +0200
> >
> > The documentation of the `whitespace-style' variable mentions the
> > following possible symbols:
> >
> > big-indent
> > empty
> > face
> > indentation
> > indentation::space
> > indentation::tab
> > lines
> > lines-tail
> > newline
> > newline-mark
> > space-after-tab
> > space-after-tab::space
> > space-after-tab::tab
> > space-before-tab
> > space-before-tab::space
> > space-before-tab::tab
> > space-mark
> > spaces
> > tab-mark
> > tabs
> > trailing
> >
> > However, the available customization choices are only:
> >
> > big-indent
> > empty
> > face
> > indentation
> > lines
> > newline
> > newline-mark
> > space-after-tab
> > space-before-tab
> > space-mark
> > spaces
> > tab-mark
> > tabs
> > trailing
> >
> > Also for the type of the customization option, `set' would be more
> > appropriate than `repeat'.
>
> I'm not sure I understand the report: are you saying that the
> documentation is wrong (doesn't fit the code), or are you saying that
> the customize form is wrong/incomplete?
>
>
>From my experience the documentation is correct, and it's the customization
option list that's incomplete. I can send a patch if you like.